import request from "@/utils/request";

// 热点留言列表
export function getHotList(data) {
  return request({
    url: "/cms/leavemessage/list",
    method: "post",
    data: data,
  });
}

// 最新回复列表
export function getRecoverList(data) {
  return request({
    url: "/cms/leavemessage/replyList",
    method: "post",
    data: data,
  });
}

// 我要留言
export function getWantMessage(data) {
  return request({
    url: "/cms/leavemessage/saveEntity",
    method: "post",
    data: data,
  });
}

// 留言详情
export function getMessageDetail(id) {
  return request({
    url: "/cms/leavemessage/get?id=" + id,
    method: "get",
  });
}

//多文件上传
export function uploadFile(data) {
  return request({
    url: "/cms/content/list",
    method: "post",
    data: data,
  });
}
